http://macie2.{region}.amazonaws.com/classification-scopesRetrieves a subset of information about the classification scope for an account.
The name of the classification scope to retrieve the unique identifier for.
The nextToken string that specifies which page of results to return in a paginated response.
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request GET \2 --url 'http://macie2.{region}.amazonaws.com/classification-scopes' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}http://macie2.{region}.amazonaws.com/classification-scopesRetrieves a subset of information about the classification scope for an account.
The name of the classification scope to retrieve the unique identifier for.
The nextToken string that specifies which page of results to return in a paginated response.
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request GET \2 --url 'http://macie2.{region}.amazonaws.com/classification-scopes' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}